package model

import (
	"time"

	"github.com/jackc/pgx/v5/pgtype"
)

type Patient struct {
	ID                 int         `json:"id" db:"id"`
	NoRm               string      `json:"no_rm" db:"no_rm"`
	NamaPasien         string      `json:"nama_pasien" db:"nama_pasien"`
	JenisIdentitas     pgtype.Int4 `json:"jenis_identitas" db:"jenis_identitas"`
	NoIdentitas        pgtype.Text `json:"no_identitas" db:"no_identitas"`
	FotoProfil         pgtype.Text `json:"foto_profil" db:"foto_profil"`
	FotoKtp            pgtype.Text `json:"foto_ktp" db:"foto_ktp"`
	KotaLahir          pgtype.Int4 `json:"kota_lahir" db:"kota_lahir"`
	TanggalLahir       time.Time   `json:"tanggal_lahir" db:"tanggal_lahir"`
	JenisKelamin       int8        `json:"jenis_kelamin" db:"jenis_kelamin"`
	Suku               pgtype.Int4 `json:"suku" db:"suku"`
	Agama              pgtype.Int4 `json:"agama" db:"agama"`
	Kebangsaan         pgtype.Int4 `json:"kebangsaan" db:"kebangsaan"`
	Bahasa             pgtype.Int4 `json:"bahasa" db:"bahasa"`
	Pendidikan         pgtype.Int4 `json:"pendidikan" db:"pendidikan"`
	StatusPerkawinan   pgtype.Int4 `json:"status_perkawinan" db:"status_perkawinan"`
	Email              pgtype.Text `json:"email" db:"email"`
	Pekerjaan          pgtype.Int4 `json:"pekerjaan" db:"pekerjaan"`
	NoHp               pgtype.Text `json:"no_hp" db:"no_hp"`
	IsDeleted          bool        `json:"is_deleted" db:"is_deleted"`
	FasyankesID        int         `json:"fasyankes_id" db:"fasyankes_id"`
	Nik                pgtype.Text `json:"nik" db:"nik"`
	NoKk               pgtype.Text `json:"no_kk" db:"no_kk"`
	NoKartuPesertaBPJS pgtype.Text `json:"no_kartu_peserta_bpjs" db:"no_kartu_peserta_bpjs"`
	CreateBy           int         `json:"create_by" db:"create_by"`
	UpdateBy           int         `json:"update_by" db:"update_by"`
	CreatedAt          time.Time   `json:"created_at" db:"created_at"`
	UpdatedAt          time.Time   `json:"updated_at" db:"updated_at"`
}
